Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface UniformIntegerDist

All Known Implementing Classes:
  UniformIntegerDistImpl

public interface UniformIntegerDist
extends IntegerDistribution, IntegerDistributionS

Uniform Integer Distribution. A generator of integral values uniformly distributed across a closed interval [min,max]. (The interval includes both its endpoints.) Setting minValue == maxValue is allowed (and returns minValue).

Method Summary
`int` | `getIntegerMax()` The getIntegerMax method returns the maximum integer value.
`int` | `getIntegerMin()` The getIntegerMin method returns the minimum integer value.
`int` | `getIntegerWithMin$withMax(int minValue, int maxValue)` The getIntegerWithMin:withMax: returns an integer within the interval [min, max].

Methods inherited from interface swarm.random.IntegerDistribution
`getIntegerSample`

Methods inherited from interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.random.InternalState
`getMagic, getStateSize`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getIntegerMin

    public int getIntegerMin()

  The getIntegerMin method returns the minimum integer value.

### getIntegerMax

    public int getIntegerMax()

  The getIntegerMax method returns the maximum integer value.

### getIntegerWithMin$withMax

    public int getIntegerWithMin$withMax(int minValue,
                                         int maxValue)

  The getIntegerWithMin:withMax: returns an integer within the interval [min, max].

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD